Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.io
Class OpenMovieFile

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.io.OpenedFile
                  |
                  +--quicktime.io.OpenMovieFile

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class OpenMovieFile
extends OpenedFile

An object of this class represents an opened movie file that is opened for reading or writing.

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`static OpenMovieFile` | `asRead(QTFile f)` Open the specified movie file for reading.
`static OpenMovieFile` | `asWrite(QTFile f)` Open the specified movie file for writing.

Methods inherited from class quicktime.io.OpenedFile
`close, getFile`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### asRead

    public static OpenMovieFile asRead(QTFile f)
                                throws QTException

  Open the specified movie file for reading.
  QuickTime::OpenMovieFile()
Parameters:
  `f` - the movie file to open
Returns:
  the opened movie file.

### asWrite

    public static OpenMovieFile asWrite(QTFile f)
                                 throws QTException

  Open the specified movie file for writing.
  QuickTime::OpenMovieFile()
Parameters:
  `f` - the movie file to open
Returns:
  the opened movie file.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD